#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define InFile  "Excel.In"
#define OutFile "Excel.Out"

//#define AuxFile "Excel.Aux"

#define MaxS 128
#define MaxN 301

typedef struct
{ long poz;
  long rez;
}Rezultat;

Rezultat Rez[MaxN];

int n, nsir;


char *Coloana(long nCol)
{
	static char NumeCol[10];
	int c=0;

	if(nCol > 12356630)
	{
		NumeCol[c++] = (char) ('A' + ((nCol-12356631)/11881376) % 26);
	}
	if(nCol > 475254)
	{
		NumeCol[c++] = (char) ('A' + ((nCol-475255)/456976) % 26);
	}
	if(nCol > 18278)
	{
		NumeCol[c++] = (char)('A' + ((nCol-18279)/17576) % 26);
	}
	if(nCol > 702)
	{
		NumeCol[c++] = (char) ('A' +  ((nCol-703)/676) % 26);
	}
	if(nCol > 26)
	{
		NumeCol[c++] = (char) ('A' + ((nCol - 27)/26) % 26);
	}
	NumeCol[c++] = (char)( 'A' + (nCol - 1) % 26);

	NumeCol[c] = '\0';

	return(NumeCol);

}

int pozitie(int p, int u)
{
	int st, dr;
	Rezultat aux = Rez[p];
	st = p; dr = u;

	while(st < dr)
	{
		while(st<dr && Rez[dr].poz >= aux.poz) dr--;
		Rez[st] = Rez[dr];
		while(st<dr && Rez[st].poz <= aux.poz) st++;
		Rez[dr] = Rez[st];
	}
	Rez[st] = aux;
	return st;
}

void quick(int p, int u)
{
	int m = pozitie(p, u);
	if(p<m) quick(p, m-1);
	if(m<u) quick(m+1, u);
}

int main()
{
	char sir[128], *p;
	char Lin[15], Col[15];

	long nCol, rez;
	long  nLin;
	int poz;


	FILE *in, *out;

	in  = fopen(InFile , "r");
	out = fopen(OutFile, "w");


	while(fgets(sir, sizeof(sir)-1, in) != NULL)
	{
		sir[strlen(sir)-1] = '\0';
		strcpy(sir, sir+1);
		p = strchr(sir, 'C');

		poz = p - sir;
		strncpy(Lin, sir, poz);
		Lin[poz] = '\0';

		strcpy(sir, sir + poz + 1);
		p = strchr(sir, ' ');
		poz = p - sir;

		strncpy(Col, sir, poz);
		Col[poz] = '\0';

		strcpy(sir, sir + poz + 1);

		nLin = atol(Lin);
		nCol = atol(Col);

		rez  = atol(sir);

		if(rez)
		{
			for(int i=0; i<n; i++)
				if(Rez[i].poz == nLin) break;
			if(i<n) Rez[i].rez += rez;
			else {
				Rez[n].poz = nLin;
				Rez[n].rez = rez;
				n++;
			     }
		}

		if(nLin)
		{
			fprintf(out, "%s%ld\n",Coloana(nCol), nLin);
			nsir++;
		}
	}
	quick(0, n-1);

	if(Rez[0].poz == 1) fprintf(out, "%ld ", Rez[0].rez);
	else
	{
		fprintf(out, "%ld 0 ", Rez[0].poz-1);
		fprintf(out, "%ld ", Rez[0].rez);
	}
	for(int i=1; i<n; i++)
	   if(Rez[i].poz == Rez[i-1].poz+1) fprintf(out, "%ld ", Rez[i].rez);
	   else
	   {
		fprintf(out, "%ld 0 ", Rez[i].poz - Rez[i-1].poz - 1);
		fprintf(out, "%ld ", Rez[i].rez);
	   }

/*
	FILE *aux;
	aux = fopen(AuxFile, "w");
	fprintf(aux, "%d", nsir);
	fclose(aux);
*/

	fclose(in);
	fclose(out);

	return 0;
}


