#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define InFile  "Sort.In"
#define OutFile "Sort.Out"

#define MAXN 	1000

int n;
int a[MAXN], b[MAXN];

void read()
{
	FILE *in = fopen(InFile, "r");
	fscanf(in, "%d", &n);
	for(int  i = 0; i < n; i++)
	{
		fscanf(in, "%d", &a[i]);
		b[i] = a[i];
	}
	fclose(in);
}

int intcmp(const void *a, const void *b)
{
    return *(int*)a - *(int*)b;
}

void solve()
{
    int i, j, nr_s, nr_b;

    qsort(b, n, sizeof(b[0]), intcmp);


    nr_s = 0;
    for(i = 0; i < n; i++)
	for(j = 0; j < n; j++)
		if(a[i] != b[i] && a[j] != b[j]
		   && a[i] == b[j] && a[j] == b[i])
		{
			a[i] = b[i];
			a[j] = b[j];
			nr_s++;
		}

    nr_b = 0;
    for(i = 0; i < n; i++)
	if(a[i] != b[i])  nr_b++;

    nr_s += nr_b/3 * 2;

    FILE *out = fopen(OutFile, "w");
    fprintf(out, "%d\n", nr_s);
}

int main()
{
	read();
	solve();
	return 0;
}