#include <stdio.h>

#define InFile  "Sort.In"
#define OutFile "Sort.Out"

#define MAXN 1024

int n, sc[4];
int a[MAXN];

int min (int a, int b)
{
	return a < b ? a : b;
}

int max (int a, int b)
{
	return a > b ? a : b;
}

void read()
{
	FILE *in = fopen(InFile, "r");
	fscanf(in, "%d", &n);
	for(int i = 0; i < n; i++)
	{
		fscanf(in, "%d", &a[i]);
		sc[a[i]] ++;
	}
	fclose(in);
}

void solve()
{
	int s12, s13, s21, s31, s23, s32, i;
	s12 = s21 = s13 = s31 = s23 = s32 = 0;

	for (i = 0; i < sc[1]; i++)
	{
		if (a[i] == 2) s12++;
		if (a[i] == 3) s13++;
	}

	for (i = sc[1]; i < sc[1] + sc[2]; i++)
	{
		if (a[i] == 1) s21++;
		if (a[i] == 3) s23++;
	}

	for (i = sc[1] + sc[2]; i < sc[1] + sc[2] + sc[3]; i++)
	{
		if (a[i] == 1) s31++;
		if (a[i] == 2) s32++;
	}

	int rez = min(s12, s21) + min(s13, s31) + min(s23, s32) +
	     2 * (max(s12, s21) - min(s12, s21));

	FILE *out = fopen(OutFile, "w");
	fprintf(out, "%d", rez);
}

int main()
{
	read();
	solve();
	return 0;
}