#include <stdio.h>
#include <string.h>

#define MAX_N 50
#define MAX_M 20
#define MAX_X 64
#define FIN "zidar.in"
#define FOUT "zidar.out"
#define INF 0x3f3f
#define min(a, b) ((a) < (b) ? (a) : (b))

int N, M, X, T, A[MAX_N][MAX_M], Res;
short bst[MAX_M][MAX_M][MAX_X], tmp[MAX_M][MAX_M][MAX_X];

int main(void)
{
    int i, j, k, x, len, pos, sum;

    freopen(FIN, "r", stdin);
    freopen(FOUT, "w", stdout);

    scanf("%d %d %d %d", &N, &M, &X, &T);
    for (i = 0; i < N; i++)
        for (j = 0; j < M; j++)
                scanf("%d", A[i]+j);

    memset(bst, 0x3f, sizeof(bst));

    for (i = 0; i < N; i++)
    {
        for (j = 0; j < M; j++)
            for (k = j, sum = A[i][j]; k < M; k++, sum += A[i][k])
                for (x = i+k-j+1; x <= X && x <= i*M+k-j+1; x++)
                {
                    bst[j][k][x] = INF; 
                    short &p = bst[j][k][x];
                    for (pos = 0; pos <= k; pos++)
                    {
                        len = pos < j ? j-pos : 0;
                        p = min(p, tmp[pos][len][x-(k-j+1)]+sum);
                        if (p <= T && Res < x) Res = x;
                    }
                }
                
        if (!i) memset(tmp, 0x3f, sizeof(tmp));

        for (j = 0; j < M; j++)
            for (len = 0; len < M; len++)
                for (x = i+1; x <= X && x <= (i+1)*M; x++)
                {
                    tmp[j][len][x] = INF;
                    short &p = tmp[j][len][x];
                    for (k = j+len; k < M; k++)
                        if (x >= i+k-j+1 && x <= i*M+k-j+1)
                            p = min(p, bst[j][k][x]);
                }
    }
    printf("%d\n", Res);

    return 0;
}
