/* Mircea Pasoi */
#include <stdio.h>
#include <string.h>

#define MAX_N 105
#define MAX_LEN 32
#define FIN "munte.in"
#define FOUT "munte.out"
#define BASE 1000000000     

int N, A[3][MAX_N][MAX_LEN];

void add(int a[], int b[])
{
    int i, t = 0;

    for (i = 1; i <= a[0] || i <= b[0] || t; i++, t /= BASE)
        a[i] = (t += a[i]+b[i]) % BASE;
    a[0] = i-1;
}

void output(int a[])
{
    int i;

    printf("%d", a[a[0]]);
    for (i = a[0]-1; i > 0; i--)
        printf("%09d", a[i]);
    printf("\n");
}

int main(void)
{
    int len, i, j, i1, i2;

    freopen(FIN, "r", stdin);
    freopen(FOUT, "w", stdout);

    scanf("%d", &N);

    A[0][0][0] = A[0][0][1] = 1;
    for (len = 1; len < 2*N-1; len++)
    {
        i = len%3; i1 = (len+2)%3; i2 = (len+1)%3;
        for (j = 0; j < N; j++)
        {
            memcpy(A[i][j], A[i1][j+1], sizeof(A[0][0]));
            if (j > 0) add(A[i][j], A[i1][j-1]);
            if (len > 1 && j != 0) add(A[i][j], A[i2][j]);
        }
    }
    output(A[(2*N-2)%3][0]);

    return 0;
}
