#pragma -ml -O2
#include <fstream.h>
#include <string.h>
#include <stdlib.h>
#define InFile "apel.in"
#define OutFile "apel.out"
#define NMax 26
#define LgMax 251

int v[NMax]; //valorile variabilelor
char f[NMax][LgMax]; //explicitarile functiilor
char s[LgMax]; //apelul functiei
int ar[NMax];
long val;

void Citire();
long int eval_apel(char *);
void Afisare();

long int EvaluareExpresie(int &, int, long int []);
long int EvaluareFactor(int &, int, long int []);
long int EvaluareTermen(int &, int, long int []);

int main ()
{Citire();
 val=eval_apel(s);
 Afisare();
 return 0;

}

void Afisare()
{
ofstream fout(OutFile);
fout<<val<<'\n';
fout.close();
}

void Citire()
{ifstream fin(InFile);
 char linie[LgMax];
 char *p;
 fin.getline(s, LgMax);
 while (fin.getline(linie,LgMax))
       {
        if (linie[0]>='a' && linie[0]<='z') //variabila
           v[linie[0]-'a']=atoi(linie+2);
           else
           {
           p=strchr(linie,'=');
           strcpy(f[linie[0]-'A'],p+1);
           //determin aritatea functiei
           ar[linie[0]-'A']=1;
           p=strchr(linie,',');
           while (p)
                 {ar[linie[0]-'A']++;
                  p=strchr(p+1,',');}
          }
       }
 fin.close();
}


long int eval_apel(char * s)
{
int poz=0, i=0, nr=s[0]-'A', nrp;//numarul functiei
long x[10]; //valorile parametrilor actuali ai functiei
char * p, *p1;
s[strlen(s)-1]=',';
//determin valorile parametrilor actuali
p1=s+2;
p=strchr(p1,',');
while (p)
      {
       if (p1[0]>='0' && p1[0]<='9') //constanta
          x[i++]=p1[0]-'0';
          else
          if (p1[0]>='a' && p1[0]<='z') //variabila
              x[i++]=v[p1[0]-'a'];
              else //apel de functie
              {nrp=1; p=p1+2;
               while (nrp)
                     {
                     if (*p=='(') nrp++;
                        else
                        if (*p==')') nrp--;
                     p++;
                     }
               //p indica sfarsitul acestui apel
               *p=NULL;
               x[i++]=eval_apel(p1); }
       p1=p+1;
       p=strchr(p1,',');
      }
//evaluez expresia
return EvaluareExpresie(poz, nr, x);
}

long int EvaluareFactor(int& poz, int nr, long x[])
{long int fc;
if (f[nr][poz]=='(')      //factorul e o expresie intre paranteze
     {poz++;                         //trec peste'('
      fc= EvaluareExpresie(poz,nr,x);
      poz++;}                        //trec peste')'
      else             //factorul este o litera sau o cifra
      if (f[nr][poz]>='0' && f[nr][poz]<='9') //cifra
         fc=f[nr][poz++]-'0';
         else
         fc=x[f[nr][poz++]-'a'];
return fc;
}

long int EvaluareTermen(int& poz, int nr, long x[])
{long int fc=EvaluareFactor(poz, nr, x);           //evaluez primul factor
 while (f[nr][poz] && f[nr][poz] == '*')       //mai urmeaza factori
       { poz++;                      //trec peste '*'
         fc*=EvaluareFactor(poz,nr,x);}
 return fc;
}

long int  EvaluareExpresie(int& poz, int nr, long x[])
{long int t=EvaluareTermen(poz, nr, x);   //evaluez primul termen
 char op;
 while (f[nr][poz] && (f[nr][poz]=='+' || f[nr][poz]=='-'))   //mai urmeaza termeni
       {op=f[nr][poz];
        poz++;                      //trec peste '+'
        if (op=='+') t+=EvaluareTermen(poz, nr, x);
           else
           t-=EvaluareTermen(poz, nr, x);
       }
 return t;
}
