// sursa oficiala - O(sqrt(A)*(N+M)) - ar trebui sa mearga si pe Borland :)
#pragma -ml -O2 
#include <stdio.h>

#define MAX_N 30005
#define FIN "matrice.in"
#define FOUT "matrice.out"
#define min(a, b) ((a) < (b) ? (a) : (b))
#define max(a, b) ((a) > (b) ? (a) : (b))

int N, M;
char R[MAX_N], C[MAX_N];
long A, P, Q, Zmax = -1, Nsol;

inline void update(int zr, int zc, int sol, int P, int Q)
{
    long z = (long)zr*zc + (long)(P-zr)*(Q-zc);
    if (Zmax < z)
        Zmax = z, Nsol = sol;
    else
    if (Zmax == z)
        Nsol += sol;
}

int main(void)
{
    int i, min_z, max_z, nmin, nmax, nz;
    long d;

    freopen(FIN, "r", stdin);
    freopen(FOUT, "w", stdout);

    scanf("%d %d %ld", &N, &M, &A);
    for (i = 0; i < N; i++) scanf("%d", R+i);
    for (i = 0; i < M; i++) scanf("%d", C+i);

    for (d = 1; d <= A && d <= N; d++)
    {
        if (A%d || A/d > M) continue;
        P = d; Q = A/d;

        min_z = M+1; nmin = 0; max_z = -1; nmax = 0;
        for (nz = i = 0; i < M; i++)
        {
            nz += !C[i];
            if (i >= Q) nz -= !C[i-Q];
            if (i < Q-1) continue;
            if (min_z > nz)
                min_z = nz, nmin = 1;
            else
            if (min_z == nz)
                nmin++;
            if (max_z < nz)
                max_z = nz, nmax = 1;
            else
            if (max_z == nz)
                nmax++;
        }

        for (nz = i = 0; i < N; i++)
        {
            nz += !R[i];
            if (i >= P) nz -= !R[i-P];
            if (i < P-1) continue;
            if (2*nz == P)
                update(nz, min_z, M-Q+1, P, Q);
            else
            if (2*nz > P)
                update(nz, max_z, nmax, P, Q);
            else
                update(nz, min_z, nmin, P, Q);
        }
    }

    printf("%ld %ld\n", Zmax, Nsol);

    return 0;
}
