/* em. cerchez */
#include <fstream.h>
#include <stdio.h>
#include <string.h>
#define InFile "dist.in"
#define OutFile "dist.out"
#define LgMax 1001
#define LgMaxC 21
#define NrMaxCuv 100
#define Infinit 30000

char * P1[100]; //cuvintele din prima propozitie
char s[LgMax]; //sirul literelor din cea de a doua propozitie
int lg1[100],lg2[100];//lungimile cuvintelor din fiecare propozitie
int nr1, nr2, L;//numarul de cuvinte din fiecare propozitie si numarul de litere din s
int slg2[100]; //slg2[i]=suma lungimilor 0..i-1 cuvinte din propozitia 2

int d1[LgMax], d2[LgMax];
int nrminop, dmin; //rezultatele
int nrmin1[LgMax], nrmin2[LgMax];


void Citire(void);
void Afisare(void);
void Rezolvare(void);
int nroperatii(int , int , int );
int abs(int );

int main(void)
{
  Citire();
  Rezolvare();
  Afisare();
  return 0;
}

void Citire(void)
{
  int i;
  char s1[LgMax], *p;
  ifstream fin(InFile);
  fin.getline(s1,LgMax);
  p=strtok(s1," ");
  while (p)
        {lg1[nr1]=strlen(p);
         P1[nr1++]=strdup(p);
         p=strtok(NULL," ");
        }

  fin.getline(s1,LgMax);
  p=strtok(s1," ");

  while (p)
        {lg2[nr2++]=strlen(p);
         slg2[nr2]=slg2[nr2-1]+strlen(p);
         strcat(s,p);
         p=strtok(NULL," ");
        }

  L=strlen(s);
  fin.close();
}

void Afisare(void)
{
  //afisez solutia
  ofstream fout(OutFile);
  fout<<dmin<<' '<<nrminop<<'\n';
  fout.close();
}

int Distanta (char *s1, char *s2, int k)
{
int i, sum=0;
for (i=0; i<k && s1[i]; i++)
    sum+=abs(s1[i]-s2[i]);
if (i<k)
   for (; i<k; i++) sum+=s2[i]-'@';
   else
   for (; s1[i]; i++) sum+=s1[i]-'@';
return sum;
}

void Rezolvare(void)
{

int i, j, k, sum, min, opmin, t;
d1[L]=0; nrmin1[L]=0;//distanta dintre cuvantul vid si un sir vid

//distanta dintre cuvantul vid (nr1) si sirul j..L-1
for (j=L-1; j>=0; j--)
    {
     d1[j]=d1[j+1]+s[j]-'@';
     nrmin1[j]=0;
    }


d2[L]=0;
for (i=nr1-1; i>=0; i--)
    {
     //distanta de la propozitia formata din cuvintele i..nr1-1 la sirul vid

     sum=0;
     for (k=0; k<lg1[i]; k++) sum+=P1[i][k]-'@';
     d2[L]=d2[L]+sum;
     nrmin2[L]=0;

     //distanta de la propozitia formata din cuvintele i..nr1-1 la sirul j..L-1
     for (j=L-1; j>=0; j--)
        {
         min=Infinit;opmin=Infinit;
         for (k=1; k<=20; k++)
             if (j+k>L) break;
                else
                {sum=Distanta(P1[i], s+j, k);
                 t=nroperatii(i,j, j+k-1)+nrmin1[j+k];
                 if (min>sum+d1[j+k])
                    {min=sum+d1[j+k];
                     opmin=t;
                    }
                     else
                     if (min==sum+d1[j+k] && opmin>t)
                        { opmin=t;}
                }
          d2[j]=min; nrmin2[j]=opmin;
         }
      for (t=0; t<=L; t++) {d1[t]=d2[t]; nrmin1[t]=nrmin2[t];}
     }
dmin=d1[0];
nrminop=nrmin1[0];
}

int nroperatii(int i, int j, int k)
{
int t=1, nr=0;
//determina numarul de operatii efectuate pentru a plasa literele de la j..k in cuvantul i
for (; j<=k; j++)
    {
      for (; t<=nr2 && slg2[t]<=j; t++);
      //t-1 este cuvantul din care face parte j
      nr+=abs(t-1-i);
    }
return nr;
}

int abs(int x)
{if (x>=0) return x;
 return -x; }
