/*marinel serban*/
#include <stdlib.h>
#include <stdio.h>
/*
   1, 1, 3, 11, 45, 197, 903, 4279, 20793, 103049, 518859, 2646723, 13648869,
   71039373, 372693519, 1968801519, 10463578353, 55909013009, 300159426963,
   1618362158587, 8759309660445, 47574827600981, 259215937709463,
   1416461675464871
*/

#define DIM      2000

typedef int Huge[DIM+1];

Huge A, B, C;
Huge C1, Trei, C2, N, Aux1, Aux2, Aux3, Rest;

int n;
char c;

FILE *Fin, *Fout;

void Citire(void)
{
  Fin = fopen("munte.in", "r");
  Fout = fopen("munte.out", "w");
  fscanf(Fin, "%d", &n);
  fclose(Fin);
}

void WriteHuge(Huge X)
{
  int i;
  for (i=X[0]; i; i--)
	 fprintf(Fout, "%d", X[i]);
  fprintf(Fout, "\n");
}

void Atrib0(Huge H)
{
  H[0]=0;
}

void AtribValue(Huge H, unsigned long X)
{
  H[0]=0;
  while (X)
	{
	  H[++H[0]]=X%10;
	  X/=10;
	}
}

int Sgn(Huge H1, Huge H2)
{
  int i;
  while (!H1[H1[0]] && H1[0]) H1[0]--;
  while (!H2[H2[0]] && H2[0]) H2[0]--;
  if (H1[0] != H2[0])
	return H1[0]<H2[0]?-1:1;
  i=H1[0];
  while ((H1[i]==H2[i] && i)) i--;
  return H1[i]<H2[i]?-1:H1[i]==H2[i]?0:1;
}

void Subtract1(Huge A, Huge B)
{
  int i, j;         //A-B-->A
  for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  for (i=1; i<=A[0]; i++)
	{                   //A[i]+=(T=(A[i]-=B[i]+T)<0)?10:0;
	  if (A[i]>=B[i])
	A[i]-=B[i];
	  else
	{
	  j=i+1;                    //plec de la cifra urmatoare
	  while (!A[j]) j++;        //o caut pe prima nenula
	  A[j]--;                   //scad 1 din ea
	  j--;                      //vin inapoi si
	  while (j>i)               //peste tot unde a fost 0
		{
		  A[j]=9;               //pun 9
		  j--;
		}
	  A[i]=A[i] + 10 - B[i];   //adun 10 la A[i] si acum pot sa scad B[i]
	}
	}
  while (!A[A[0]]) A[0]--;
  if (A[0]<0) A[0]=0;
}

void AtribHuge(Huge H, Huge X)
{
  int i;
  for (i=0; i<=X[0]; i++) H[i]=X[i];
}

void AddHuge(Huge A, Huge B, Huge C)
{
  int i, T=0;   //A+B-->C
  if (B[0]>A[0])
	{
	  for (i=A[0]+1; i<=B[0]; ) A[i++]=0;
	  A[0]=B[0];
	}
  else
	for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  C[0]=A[0];
  for (i=1; i<=A[0]; i++)
	{
	  C[i]=A[i]+B[i]+T;
	  T=C[i]/10;
	  C[i]%=10;
	}
  if (T) C[++C[0]]=T;
}

void MultHuge(Huge A, Huge B, Huge C)
{
  int i, j, T=0;         //A*B-->C
  Huge CC;
  CC[0]=A[0]+B[0]-1;
  for (i=1; i<=A[0]+B[0]; ) CC[i++]=0;
  for (i=1; i<=A[0]; i++)
	for (j=1; j<=B[0]; j++)
	  CC[i+j-1]+=A[i]*B[j];
  for (i=1; i<=CC[0]; i++)
	{
	  T=(CC[i]+=T)/10;
	  CC[i]%=10;
	}
  if (T) CC[++CC[0]]=T;

  for (i=0; i<=CC[0]; i++)
	C[i]=CC[i];
}

void Add1(Huge A, Huge B)
{
  int i, T=0;   //A+B-->A
  Huge C;
  for (i=0; i<=DIM; i++) C[i]=0;
  if (B[0]>A[0])
	{
	  for (i=A[0]+1; i<=B[0]; ) A[i++]=0;
	  A[0]=B[0];
	}
  else
	for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  C[0]=A[0];
  for (i=1; i<=A[0]; i++)
	{
	  C[i]=A[i]+B[i]+T;
	  T=C[i]/10;
	  C[i]%=10;
	}
  if (T) C[++C[0]]=T;
  for (i=0; i<=DIM; i++) A[i]=C[i];
}

void Subtract(Huge A, Huge B, Huge C)
{
  int i, j;         //A-B-->C
  Huge X;
  for (i=0; i<DIM; i++) X[i]=A[i];    //pastrez A
  for (i=B[0]+1; i<=A[0]; ) B[i++]=0;
  for (i=1; i<=A[0]; i++)
	{             //    A[i]+=(T=(A[i]-=B[i]+T)<0)?10:0;
	  if (A[i]>=B[i])
	A[i]-=B[i];
	  else
	{
	  j=i+1;                    //plec de la cifra urmatoare
	  while (!A[j]) j++;        //o caut pe prima nenula
	  A[j]--;                   //scad 1 din ea
	  j--;                      //vin inapoi si
	  while (j>i)               //peste tot unde a fost 0
		{
		  A[j]=9;               //pun 9
		  j--;
		}
	  A[i]=A[i]+10-B[i];        //adun 10 la A[i] si acum pot sa scad B[i]
	}
	}
  while (!A[A[0]]) A[0]--;
  if (A[0]<0) A[0]=0;
  for (i=0; i<DIM; i++) C[i]=A[i];
  for (i=0; i<DIM; i++) A[i]=X[i];
}

void Shl(Huge H, int Count)
{
 int i;
 for (i=H[0]; i; i--)
   H[i+Count]=H[i];
 for (i=1; i<=Count; ) H[i++]=0;
 H[0]+=Count;
}

void DivideHuge(Huge A, Huge B, Huge C, Huge R)
{
  int i;
  Huge Aux;
  R[0]=0; C[0]=A[0];
  for (i=A[0]; i; i--)
	{
	  Shl(R, 1); R[1]=A[i];
	  C[i]=0;
	  while (Sgn(B, R)!=1)
		{
		  C[i]++;
		  Subtract1(R, B);
		}
	}
  while (!C[C[0]]&&C[0]>1) C[0]--;
}

void DivideHuge1(Huge A, Huge B, Huge C, Huge R)
{
  int i;
  Huge Unu, Aux;
  for (i=0; i<=DIM; i++) Unu[i]=C[i]=Aux[i]=0;
  for (i=0; i<=A[0]+1; i++) R[i]=A[i];
  Unu[0]=1; Unu[1]=1; C[0]=0;
  while (Sgn(R, B)>0)
	{
	  Subtract(R, B, Aux);
	  Add1(C, Unu);
	  AtribHuge(R, Aux);
	}
  if (Sgn(R, B)==0)
	{
	  Add1(C, Unu);
	  Atrib0(R);
	}
}

void Calcul(void)
{
  int i;

  AtribValue(A, 1);
  AtribValue(B, 1);
  AtribValue(Trei, 3);

  for (i=3; i<=n; i++)
	{
	  AtribValue(C1, 2*i-3);
	  AtribValue(C2, i-3);
	  AtribValue(N, i);
	  MultHuge(Trei, C1, Aux1);
	  MultHuge(Aux1, B, Aux1);
	  MultHuge(C2, A, Aux2);
	  Subtract(Aux1, Aux2, Aux3);
	  DivideHuge(Aux3, N, C, Rest);
	  AtribHuge(A, B);
	  AtribHuge(B, C);
	}
}

int main(void)
{
  Citire();
  Calcul(); WriteHuge(C);
  fclose(Fout);
  return(0);
}
